package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFFW0 extends MwfRequest<MWFFW0, MWFFW0Response> {

    @Parameter(name = "APP_ID")
    MWFFW0 appId(String appId);
    @Parameter(name = "CIF")
    MWFFW0 cif(String cif);
    @Parameter(name = "Cache")
    MWFFW0 cache(Long cache);
    @Parameter(name = "GeminiUserID")
    MWFFW0 geminiUserID(Long geminiUserID);
    @Parameter(name = "ICO")
    MWFFW0 ico(String ico);
    @Parameter(name = "MobilniKlic")
    MWFFW0 mobilniKlic(String mobilniKlic);
    @Parameter(name = "ReguestType")
    MWFFW0 reguestType(String reguestType);
    @Parameter(name = "WF_ID")
    MWFFW0 wfId(String wfId);
}
